Package ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter

# Class ContractParameterDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter.ContractParameterDao

public class ContractParameterDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `getParameterTitles(int contractId, String tableName, List<Integer> parameterIds)`
  Возвращает список параметров договора в виде idTitle

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractParameterDao

    public ContractParameterDao(Connection con)

- ## Method Details

  - ### getParameterTitles

    public List<IdTitle> getParameterTitles(int contractId, String tableName, List<Integer> parameterIds) throws SQLException
    Возвращает список параметров договора в виде idTitle
    Parameters:
      `contractId` - - id договора
      `tableName` - - имя таблицы параметров
      `parameterIds` - - список кодов параметров
    Throws:
      `SQLException`